// You can import API functions like this from D3.js.
import { select } from 'd3';

// You can import local modules like this. See message.js!
//import { message } from './myMessage';

// This line uses D3 to set the text of the message div.
//select('#message').text("test"); 

const container = select('#container');
const width = container.attr("width");
const height = container.attr("height");

console.log(`width:${width}, height:${height}`); 

const e1 = container.append("g");
  
const x = -10;
const y = -30;

e1.append("ellipse") 
  .attr("rx",40)
  .attr("ry",70)
  .attr("cx",x+100)
  .attr("cy",y+100)
  .attr("fill","none")
  .attr("stroke","black")
  .attr("transform",`translate(-10,0) rotate(+50 ${x+100} ${y+150})`);

e1.append("ellipse") 
  .attr("rx",40)
  .attr("ry",70)
  .attr("cx",x+100)
  .attr("cy",y+100)
  .attr("fill","none")
  .attr("stroke","black")
  .attr("transform",`translate(+10,0) rotate(-50 ${x+100} ${y+150})`);

e1.append("ellipse") 
  .attr("rx",40)
  .attr("ry",70)
  .attr("cx",x+90)
  .attr("cy",y+110)
  .attr("fill","none")
  .attr("stroke","black")
  .attr("transform",`rotate(+45 ${x+110} ${y+110})`);

e1.append("ellipse") 
  .attr("rx",40)
  .attr("ry",70)
  .attr("cx",x+110)
  .attr("cy",y+110)
  .attr("fill","none")
  .attr("stroke","black")
  .attr("transform",`rotate(-45 ${x+90} ${y+110})`);

e1.append("rect")
  .attr("x",0)
  .attr("y",0)
  .attr("width",200)
  .attr("height",180)
  .attr("fill","none")
  .attr("stroke","black");

//e1.attr("transform","rotate(-45 10 0)");